QName (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j
Class QName

    java.lang.Object
      org.dom4j.QName

All Implemented Interfaces:
  Serializable

public class QName
extends Object
implements Serializable

`QName` represents a qualified name value of an XML element or attribute. It consists of a local name and a `Namespace`instance. This object is immutable.

Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`QName(String name)`
`QName(String name, Namespace namespace)`
`QName(String name, Namespace namespace, String qualifiedName)`

Method Summary
`boolean` | `equals(Object object)`
`static QName` | `get(String name)`
`static QName` | `get(String name, Namespace namespace)`
`static QName` | `get(String localName, Namespace namespace, String qualifiedName)`
`static QName` | `get(String qualifiedName, String uri)`
`static QName` | `get(String name, String prefix, String uri)`
`DocumentFactory` | `getDocumentFactory()` DOCUMENT ME!
`String` | `getName()` DOCUMENT ME!
`Namespace` | `getNamespace()` DOCUMENT ME!
`String` | `getNamespacePrefix()` DOCUMENT ME!
`String` | `getNamespaceURI()` DOCUMENT ME!
`String` | `getQualifiedName()` DOCUMENT ME!
`int` | `hashCode()` DOCUMENT ME!
`void` | `setDocumentFactory(DocumentFactory documentFactory)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QName

    public QName(String name)

### QName

    public QName(String name,
                 Namespace namespace)

### QName

    public QName(String name,
                 Namespace namespace,
                 String qualifiedName)

Method Detail

### get

    public static QName get(String name)

### get

    public static QName get(String name,
                            Namespace namespace)

### get

    public static QName get(String name,
                            String prefix,
                            String uri)

### get

    public static QName get(String qualifiedName,
                            String uri)

### get

    public static QName get(String localName,
                            Namespace namespace,
                            String qualifiedName)

### getName

    public String getName()

  DOCUMENT ME!

  Returns:
    the local name

### getQualifiedName

    public String getQualifiedName()

  DOCUMENT ME!

  Returns:
    the qualified name in the format `prefix:localName`

### getNamespace

    public Namespace getNamespace()

  DOCUMENT ME!

  Returns:
    the namespace of this QName

### getNamespacePrefix

    public String getNamespacePrefix()

  DOCUMENT ME!

  Returns:
    the namespace URI of this QName

### getNamespaceURI

    public String getNamespaceURI()

  DOCUMENT ME!

  Returns:
    the namespace URI of this QName

### hashCode

    public int hashCode()

  DOCUMENT ME!

  Returns:
    the hash code based on the qualified name and the URI of the namespace.

### equals

    public boolean equals(Object object)

### toString

    public String toString()

### getDocumentFactory

    public DocumentFactory getDocumentFactory()

  DOCUMENT ME!

  Returns:
    the factory that should be used for Elements of this QName

### setDocumentFactory

    public void setDocumentFactory(DocumentFactory documentFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.